Bug 1186302 (CVE-2015-0224) - CVE-2015-0224 qpid-cpp: AMQP 0-10 protocol sequence-set maximal range DoS (incomplete CVE-2015-0203 fix)
Summary: CVE-2015-0224 qpid-cpp: AMQP 0-10 protocol sequence-set maximal range DoS (in...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-0224
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1186304 1186305 1189392 1192064 1193170 1471928
Blocks: 1181723
TreeView+ depends on / blocked
 
Reported: 2015-01-27 11:34 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:27 UTC (History)
37 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the Qpid daemon (qpidd) processed certain protocol sequences. An unauthenticated attacker able to send a specially crafted protocol sequence set that could use this flaw to crash qpidd.
Clone Of:
Environment:
Last Closed: 2017-08-23 08:53:23 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0660 0 normal SHIPPED_LIVE Moderate: qpid-cpp security and bug fix update 2015-03-23 13:35:29 UTC
Red Hat Product Errata RHSA-2015:0661 0 normal SHIPPED_LIVE Moderate: qpid-cpp security and bug fix update 2015-03-09 18:41:05 UTC
Red Hat Product Errata RHSA-2015:0662 0 normal SHIPPED_LIVE Moderate: qpid-cpp security and bug fix update 2015-03-09 18:30:11 UTC
Red Hat Product Errata RHSA-2015:0707 0 normal SHIPPED_LIVE Moderate: qpid security and bug fix update 2015-03-19 21:10:19 UTC
Red Hat Product Errata RHSA-2015:0708 0 normal SHIPPED_LIVE Moderate: qpid security and bug fix update 2015-03-19 21:10:24 UTC

Description Vasyl Kaigorodov 2015-01-27 11:34:43 UTC
In CVE-2015-0203 it was announced that certain unexpected protocol sequences cause the broker process to crash due to insufficient checking, but that authentication could be used to restrict the exploitation of this vulnerability.

It has now been discovered that in fact failing authentication does not necessarily prevent exploitation of those reported vulnerabilities.

Further, it was stated that one of the specific vulnerabilities was that the qpidd broker can be crashed by sending it a sequence-set containing an invalid range, where the start of the range is after the end. This was an incorrect analysis of the vulnerability, which is in fact caused by a sequence-set containing a single range expressing the maximum possible gap.

A further patch is available that handles a range expressing the maximum possible gap without assertion (https://issues.apache.org/jira/browse/QPID-6310). The fix will be included in subsequent releases, but can be applied to 0.30 if desired.

Comment 1 Vasyl Kaigorodov 2015-01-27 11:37:27 UTC
Created qpid-cpp tracking bugs for this issue:

Affects: fedora-all [bug 1186304]

Comment 2 Vasyl Kaigorodov 2015-01-27 11:38:23 UTC
Created qpid-cpp tracking bugs for this issue:

Affects: epel-7 [bug 1186305]

Comment 6 Tomas Hoger 2015-03-09 12:13:55 UTC
Upstream advisory from which comment 0 quotes:

http://seclists.org/bugtraq/2015/Jan/121

This issue is related to previously announced CVE-2015-0203, see bug 1181721 comment 3.

Upstream bug and commit:

https://issues.apache.org/jira/browse/QPID-6310
https://svn.apache.org/viewvc?view=revision&revision=1654365

Comment 7 errata-xmlrpc 2015-03-09 13:43:28 UTC
This issue has been addressed in the following products:

  MRG for RHEL-5 v. 2

Via RHSA-2015:0662 https://rhn.redhat.com/errata/RHSA-2015-0662.html

Comment 8 errata-xmlrpc 2015-03-09 13:43:45 UTC
This issue has been addressed in the following products:

  MRG v.2 for RHEL-7

Via RHSA-2015:0660 https://rhn.redhat.com/errata/RHSA-2015-0660.html

Comment 9 errata-xmlrpc 2015-03-09 13:50:14 UTC
This issue has been addressed in the following products:

  MRG for RHEL-6 v.2

Via RHSA-2015:0661 https://rhn.redhat.com/errata/RHSA-2015-0661.html

Comment 10 errata-xmlrpc 2015-03-19 17:10:42 UTC
This issue has been addressed in the following products:

  MRG for RHEL-6 v.3

Via RHSA-2015:0707 https://rhn.redhat.com/errata/RHSA-2015-0707.html

Comment 11 errata-xmlrpc 2015-03-19 17:11:09 UTC
This issue has been addressed in the following products:

  MRG Messaging v.3 for RHEL-7

Via RHSA-2015:0708 https://access.redhat.com/errata/RHSA-2015:0708

Comment 12 errata-xmlrpc 2015-03-19 17:11:53 UTC
This issue has been addressed in the following products:

  MRG Messaging v.3 for RHEL-7

Via RHSA-2015:0708 https://access.redhat.com/errata/RHSA-2015:0708

Comment 13 David Sirrine 2015-03-24 19:59:45 UTC
Is there a statement of applicability to the qpid-cpp packages in the base RHEL channels outside of MRG?

Comment 14 Tomas Hoger 2015-04-22 13:15:57 UTC
The qpid-cpp packages in Red Hat Enterprise Linux 6 are deprecated, see bug 1181721 comment 11.


Note You need to log in before you can comment on or make changes to this bug.